std::ranges::single_view< _Tp >(3cxx)

NAME
std::ranges::single_view< _Tp > - A view that contains exactly one element.

SYNOPSIS

#include <ranges>

Inherits std::ranges::view_interface< single_view< _Tp > >.

  Public Member Functions

constexpr single_view (_Tp &&__t) noexcept(is_nothrow_move_constructible_v< _Tp >)
constexpr single_view (const _Tp &__t) noexcept(is_nothrow_copy_constructible_v< _Tp >)
template<typename... _Args>
requires constructible_from<_Tp, _Args...>constexpr single_view (in_place_t, _Args &&... __args) noexcept(is_nothrow_constructible_v< _Tp, _Args... >)"
constexpr decltype(auto) back ()
constexpr const _Tp * begin () const noexcept
constexpr _Tp * begin () noexcept
constexpr const _Tp * data () const noexcept
constexpr _Tp * data () noexcept
constexpr const _Tp * end () const noexcept
constexpr _Tp * end () noexcept
constexpr decltype(auto) front ()
constexpr operator bool () noexcept(noexcept(ranges::empty(_M_derived())))
constexpr decltype(auto) operator[] (range_difference_t< _Range > __n)

  Static Public Member Functions

static constexpr bool empty () noexcept
static constexpr size_t size () noexcept

Detailed Description

  template<copy_constructible _Tp>
requires is_object_v<_Tp>
class std::ranges::single_view< _Tp >"A view that contains exactly one element.

Author

Generated automatically by Doxygen for libstdc++ from the source code.